<?php
class Wpjb_Form_Payment_clickandpledge extends Daq_Form_Abstract 
{
     public function __construct($options = array()) 
    {   
         $this->_data = $data;
         $request = Daq_Request::getInstance();

	     if(DOING_AJAX && $request->post("action") == "wpjb_payment_render") {
             add_filter("wpjb_payment_render_response", array($this, "script"));
         }
       
         parent::__construct($options);
     }   
     public function script($response) 
     { 
	     wp_register_script( 'clickandpledge', plugins_url( '/clickandpledge.js', __FILE__ ) ,array("jquery", "wpjb-vendor-clickandpledge"));
	     $scripts = wp_scripts()->registered["clickandpledge"];
		 $response["load"] = array($scripts->src."?time=".time());
       
         return $response;
     }
    public function init() 
    {
       $request = Daq_Request::getInstance();
    
        $cnppayment = new Payment_ClickandPledge;
		$this->addGroup("default");
        
        $e = $this->create("fullname");
        $e->setLabel(__("Full Name", "wpjobboard"));
		$e->setRequired(true);
        $this->addElement($e, "default");
        
        $e = $this->create("email");
        $e->setLabel(__("Email", "wpjobboard"));
        $e->setRequired(true);
        $this->addElement($e, "default");

        
        $e = $this->create("cnpsettings");
	    $e->setRenderer(array($this, "clickandpledgepaymentmethods"));
        $this->addElement($e, "clickandpledge");

        apply_filters("wpjb_form_init_payment_clickandpledge", $this);
    }

    public function inputStripe($input) 
    {
        $e = new Daq_Form_Element_Text("");
        $e->addClass($input->getClasses());
		
        foreach($input->getAttr() as $aKey => $aVal) {
            $e->setAttr($aKey, $aVal);
        }
        echo $e->render();
    }
	
    public function getMerchant() { 
		$merchant       = array();
		$payment_arr    = get_option('wpjb_payment_method');
	    $data           = $payment_arr["clickandpledge_payment"];
  		
		$merchant['wpjobboard_clickandpledge_AccountID']               = $data['wpjobboard_clickandpledge_AccountID'];
		$merchant['wpjobboard_clickandpledge_AccountGuid']         = Config_ClickandPledge::getwpjbCnPAccountGUID($data['wpjobboard_clickandpledge_AccountID']);		
		$merchant['wpjobboard_clickandpledge_OrderMode']   		       = $data['wpjobboard_clickandpledge_OrderMode'];
		$merchant['wpjobboard_clickandpledge_ConnectCampaignAlias']    = $data['wpjobboard_clickandpledge_ConnectCampaignAlias'];
		$merchant['wpjobboard_clickandpledge_Paymentmethods']          = $data['wpjobboard_clickandpledge_Paymentmethods'];
		$merchant['wpjobboard_clickandpledge_Paymentoptions']          = $data['wpjobboard_clickandpledge_Paymentoptions'];
		$merchant['wpjobboard_clickandpledge_titles']                  = $data['wpjobboard_clickandpledge_titles'];
		$merchant['wpjobboard_clickandpledge_reference']               = $data['wpjobboard_clickandpledge_reference'];
		$merchant['wpjobboard_clickandpledge_DefaultpaymentMethod']    = $data['wpjobboard_clickandpledge_DefaultpaymentMethod'];
		$merchant['wpjobboard_clickandpledge_receiptsettings']         = $data['wpjobboard_clickandpledge_receiptsettings'];
		$merchant['wpjobboard_clickandpledge_termsandconditionsadmin'] = $data['wpjobboard_clickandpledge_termsandconditionsadmin'];
		$merchant['wpjobboard_clickandpledge_DefaultpaymentOptions']   = $data['wpjobboard_clickandpledge_DefaultpaymentOptions'];
		$merchant['wpjobboard_clickandpledge_PaymentSubscription']     = $data['wpjobboard_clickandpledge_PaymentSubscription'];
		$merchant['wpjobboard_clickandpledge_PaymentRecurring']        = $data['wpjobboard_clickandpledge_PaymentRecurring'];
		$merchant['wpjobboard_clickandpledge_PaymentPeriods']          = $data['wpjobboard_clickandpledge_PaymentPeriods'];
		$merchant['wpjobboard_clickandpledge_indefinite']              = $data['wpjobboard_clickandpledge_indefinite'];
		$merchant['wpjobboard_clickandpledge_dfltnoofpaymnts']         = $data['wpjobboard_clickandpledge_dfltnoofpaymnts'];
		$merchant['wpjobboard_clickandpledge_maxnoofinstallments']     = $data['wpjobboard_clickandpledge_maxnoofinstallments'];
		$merchant['clickandpledge_installments']                       = $data['clickandpledge_installments'];
		$merchant['order']                                             = $data['order'];
		$merchant['clickandpledge_reference_number']                   = $data['clickandpledge_reference_number'];
		$merchant['wpjobboard_clickandpledge_emailcustomer']           = $data['wpjobboard_clickandpledge_emailcustomer'];
		$merchant['wpjobboard_clickandpledge_Paymentmethods_cc']       = $data['wpjobboard_clickandpledge_Paymentmethods_cc'];
		$merchant['wpjobboard_clickandpledge_Paymentmethods_eCheck']   = $data['wpjobboard_clickandpledge_Paymentmethods_eCheck'];
		
		$merchant['wpjobboard_clickandpledge_Paymentmethods_Amex']     = $data['wpjobboard_clickandpledge_Paymentmethods_Amex'];
		$merchant['wpjobboard_clickandpledge_Paymentmethods_Jcb']      = $data['wpjobboard_clickandpledge_Paymentmethods_Jcb'];
		$merchant['wpjobboard_clickandpledge_Paymentmethods_master']   = $data['wpjobboard_clickandpledge_Paymentmethods_master'];
		$merchant['wpjobboard_clickandpledge_Paymentmethods_Visa']     = $data['wpjobboard_clickandpledge_Paymentmethods_Visa'];
		$merchant['wpjobboard_clickandpledge_Paymentmethods_Discover'] = $data['wpjobboard_clickandpledge_Paymentmethods_Discover'];
		
		
	return $merchant;
	 }
	 
    public function bind(array $post, array $get) {
	   // this is a good place to set $this->data
	   //print_r($get);
       $this->setObject(new Wpjb_Model_Payment($post["id"]));
       parent::bind($post, $get);
     }
	 public function getYears() {		 
		 $str = '';
		
		 for ($i = date('Y'); $i < date('Y') + 21; $i++) {
			$str .= '<option value="'.strftime('%Y', mktime(0, 0, 0, 1, 1, $i)).'">'.strftime('%Y', mktime(0, 0, 0, 1, 1, $i)).'</option>';				
		}
		
		return $str;
	 }
	  public function getMonths() {
		$str = '';
		for ($i = 1; $i <= 12; $i++) {
			if(date('m') == sprintf('%02d', $i)) {
			$str .= '<option value="'.sprintf('%02d', $i).'" selected>'.sprintf('%02d', $i).' ('.strftime('%B', mktime(0, 0, 0, $i, 1, 2000)).')</option>';
			} else {
			$str .= '<option value="'.sprintf('%02d', $i).'">'.sprintf('%02d', $i).' ('.strftime('%B', mktime(0, 0, 0, $i, 1, 2000)).')</option>';
			}			
		}
		
		return $str;
	 }
	
	 public function number_format($number, $decimals = 2,$decsep = '', $ths_sep = '') {
		$parts = explode('.', $number);
		if(count($parts) > 1) {
			return $parts[0].'.'.substr($parts[1],0,$decimals);
		} else {
			return $number;
		}
	}
    public function clickandpledgepaymentmethods() 
    {
	 global $wpdb;
	
	  $listrow = $wpdb->get_row( 'SELECT * FROM '.$wpdb->prefix.'wpjb_pricing WHERE id = '.wp_unslash(sanitize_text_field($_POST['defaults']['pricing_id'])), OBJECT );
	  $a  = get_option('wpjb_payment_method');
	  $data = $a["clickandpledge_payment"];

	  $availableCurrencies = array();
	  $paymentMethods = array();
	  $merchant = $this->getMerchant(); 
	  $id = wp_unslash(sanitize_text_field($_POST['defaults']['pricing_id']));
	
	  
	  $selectedCurrency = $listrow->currency;

	
	if(isset($merchant['wpjobboard_clickandpledge_Paymentmethods_cc']) && $merchant['wpjobboard_clickandpledge_Paymentmethods_cc'] !=""){
	$paymentMethods[$merchant['wpjobboard_clickandpledge_Paymentmethods_cc']] = 'Credit Card';
    }
	if(isset($merchant['wpjobboard_clickandpledge_Paymentmethods_eCheck']) && $merchant['wpjobboard_clickandpledge_Paymentmethods_eCheck'] !=""){
			    $paymentMethods[$merchant['wpjobboard_clickandpledge_Paymentmethods_eCheck']] = 'eCheck';
    }
		if(isset($merchant['wpjobboard_clickandpledge_Paymentmethods']) && count($merchant['wpjobboard_clickandpledge_Paymentmethods']) > 0) {
				 
			   
			   foreach($merchant['wpjobboard_clickandpledge_Paymentmethods'] as $method) {
					
					 
				
				     if($method == 'CustomPayment')
					 $customtypes = explode(";",$merchant['wpjobboard_clickandpledge_titles']);
				
				 if(count($customtypes) > 0) {
				     foreach($customtypes as $custompays)
					{
						if(trim($custompays) != '') {
							$paymentMethods[$custompays] = trim($custompays);
							$customtypes[] = trim($custompays);
						} 
					 }
					 //print_r($paymentMethods);
				 } 
				 
					
					 //$paymentMethods[$method] = explode(";",$merchant['wpjobboard_clickandpledge_titles']);
					 
				 }
			
		}
			 else {/*print_r($paymentMethods);
			     $paymentMethods['CreditCard'] = 'Credit Card';
				 $paymentMethods['eCheck'] = 'eCheck';
				print_r($paymentMethods);*/
				 if(isset($merchant['wpjobboard_clickandpledge_Paymentmethods']) && $merchant['wpjobboard_clickandpledge_Paymentmethods'] !=""){ 
				 $customtypes = explode(";",$merchant['wpjobboard_clickandpledge_titles']);
				 
				if(count($customtypes) > 0) {
				     foreach($customtypes as $custompays)
					{
						if(trim($custompays) != '') {
							$paymentMethods[$custompays] = trim($custompays);
							$customtypes[] = trim($custompays);
						} 
					 }
					 //print_r($paymentMethods);
				 } 
				 }
			 }
	
	 $defaultpayment = $merchant['wpjobboard_clickandpledge_DefaultpaymentMethod'];
     
	 //$ajaxurl = admin_url("admin-ajax.php");	
	 
	 wp_register_script( 'clickandpledge-plugin-script', plugins_url( '/clickandpledge.js', __FILE__ ) );
	 wp_enqueue_script( 'clickandpledge-plugin-script' );
	 
	 wp_register_script( 'jquery.validate.min-script', plugins_url( '/jquery.validate.min.js', __FILE__ ) );
	 wp_enqueue_script( 'jquery.validate.min-script' );
	 
	 wp_register_script( 'clickandpledge_validations-script', plugins_url( '/clickandpledge_validations.js', __FILE__ ) );
	 wp_enqueue_script( 'clickandpledge_validations-script' );
	  //echo $id;
	  
	  $html = '
		<style type="text/css">
		.form-row > label > span {
			display: block;
			width: 200px;
			float: left;
			line-height: 2em;
		}
		.form-row label.error {
			color: red;
			font-style: italic;
		}
		.cnpwpjb_field {
			margin: 0;
			padding: 6px;
			float: left;
			clear: none;
			width: 70%;		
		}
		.wpjb-element-name-cnpsettings fieldset .wpjb-element-input-text{
			margin: 6px 0 6px 0;
	    	padding: 6px 0 6px 0;
	    	clear: both;
    		overflow: hidden;
    	}
		.wpjb-element-name-cnpsettings > label.wpjb-label{
			display:none!important;
		}
		.wpjb-element-name-cnpsettings > div.wpjb-field  {
			width: 100% !important;
		}
		.wpjb-element-name-cnpsettings .wpjb-fieldset-cnppaymentoptions .cnpwpjb_field{
			padding-top:6px!important;
		}
		@media (max-width: 760px) and (min-width: 320px){
			.cnpwpjb_field {
			    width: 100%;
			}
		}
		</style>
		<script type="text/javascript">
		  var WPJB_PAYMENT_ID = '.$id.';
		  //if (typeof ajaxurl === "undefined") {
			//ajaxurl = "'.$ajaxurl.'";
		 // }
		</script>
		
		<fieldset><legend><div style="float:right;margin-top:-13px;">
        <img src='.WP_PLUGIN_URL.'/'.plugin_basename( dirname(__FILE__)).'/cp-logo.png" align="Click&amp;Pledge Logo">
    	</div>'.__("Payment Details", "wpjobboard").'</legend>
		<div class="payment-errors"></div><div class="htmlholder">';
		?>
		<script>
			 jQuery(document).ready(function($)
			 {
	            var defaultval = jQuery("#wpjobboard_clickandpledge_DefaultpaymentOptions").val();
               
				if(defaultval == "Recurring")
				{
				   jQuery("#recurring_selection").show();
				} 
				else if(defaultval == "OneTimeOnly")
				{	
				  jQuery("#recurring_selection").hide();
				}
				
			    jQuery(".clsrecpayopt").click(function(){
				if(jQuery(".clsrecpayopt:checked").val() == "clickandpledge_OneTimeOnly") {
				jQuery("#recurring_selection").hide();
				}	
				else
				{
				jQuery("#recurring_selection").show();
				}
				});
				jQuery(".clsrecpayopt").ready(function(){
				if(jQuery(".clsrecpayopt:checked").val() == "clickandpledge_OneTimeOnly") {
				  jQuery("#recurring_selection").hide();
				}	
				else
				{
				  jQuery("#recurring_selection").show();
				}
				});
				
				jQuery("#clickandpledge_recurring:checked").click(function(){
				
				if(jQuery("#clickandpledge_recurring:checked").val() == "clickandpledge_OneTimeOnly") {
				jQuery("#recurring_selection").hide();
				}	
				else
				{
				jQuery("#recurring_selection").show();
				}
					
				});
				jQuery("#clickandpledge_subscriptions").click(function(){
					jQuery("#indefinite").show();
				});
				jQuery("#clickandpledge_installments").click(function(){
					jQuery("#indefinite").hide();
				});
				jQuery("#clickandpledge_indefinite_recurrings").click(function(){
					jQuery("#clickandpledge_nooftimes").fadeToggle( "<b>Paragraph. </b>" );	
				});
			 });
			 
            </script><?php
		if($merchant['wpjobboard_clickandpledge_OrderMode'] == "test")
		{
			?>
			<script>
					jQuery( document ).ready(function() {
			var d = new Date();
			var n = d.getFullYear() + 1;
			//document.getElementById("#clickandpledge_cardNumber").value = "4111111111111111";
			jQuery("#clickandpledge_cardNumber").val("4111111111111111");
			jQuery("#clickandpledge_cardNumber").prop("readonly", true);
			jQuery("#clickandpledge_cardNumber").css({"background-color": "#f4f4f4"});
			jQuery("#clickandpledge_cardExpMonth").val("06");
			jQuery("#clickandpledge_cvc").val("123");
			jQuery("#clickandpledge_cardExpMonth").prop("readonly", true);
			jQuery("#clickandpledge_cardExpYear").prop("readonly", true);
			jQuery("#clickandpledge_cvc").prop("readonly", true);
						
			jQuery("#clickandpledge_echeck_AccountType").prop("disabled", true);
			jQuery("#clickandpledge_echeck_AccountType").css({"background-color": "#f4f4f4"});
			jQuery("#clickandpledge_echeck_NameOnAccount").prop("disabled", true);
			jQuery("#clickandpledge_echeck_NameOnAccount").css({"background-color": "#f4f4f4"});
			jQuery("#clickandpledge_echeck_IdType").prop("disabled", true);
			jQuery("#clickandpledge_echeck_IdType").css({"background-color": "#f4f4f4"});
			jQuery("#clickandpledge_echeck_CheckType").prop("disabled", true);
			jQuery("#clickandpledge_echeck_CheckType").css({"background-color": "#f4f4f4"});
			jQuery("#clickandpledge_echeck_CheckNumber").prop("disabled", true);
			jQuery("#clickandpledge_echeck_CheckNumber").css({"background-color": "#f4f4f4"});
			jQuery("#clickandpledge_echeck_RoutingNumber").prop("disabled", true);
			jQuery("#clickandpledge_echeck_RoutingNumber").css({"background-color": "#f4f4f4"});
			jQuery("#clickandpledge_echeck_AccountNumber").prop("disabled", true);
			jQuery("#clickandpledge_echeck_AccountNumber").css({"background-color": "#f4f4f4"});
			jQuery("#clickandpledge_echeck_retypeAccountNumber").prop("disabled", true);
			jQuery("#clickandpledge_echeck_retypeAccountNumber").css({"background-color": "#f4f4f4"});
			});
			</script>
		<?php
		}
		
		if(count($paymentMethods) > 0) {
			$rechtml ="";
		if(in_array("Recurring",$merchant['wpjobboard_clickandpledge_Paymentoptions']))
		{
		  if(count($merchant['wpjobboard_clickandpledge_Paymentoptions']) != 1){
			$rechtml .= '<fieldset class="wpjb-fieldset-default wpjb-fieldset-cnppaymentoptions"><div class="wpjb-element-input-text"><label class="wpjb-label">
		  '.__("Payment Options&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label><div class="cnpwpjb_field">';
		
		  foreach($merchant['wpjobboard_clickandpledge_Paymentoptions'] as $payopt)
			  
		  {  if($merchant['wpjobboard_clickandpledge_DefaultpaymentOptions'] == $payopt)
			  {
				  if($payopt == "OneTimeOnly") {$dpayopt = "One Time Only";}
			      else if($payopt == "Recurring"){ $dpayopt = "Recurring";}
			   $rechtml .= '<input type="radio" value="clickandpledge_'.$payopt.'" name="clickandpledge_onetimeonly" id="clickandpledge_recurring" class="clsrecpayopt cnp_payment_method_selection" checked>&nbsp; '.$dpayopt.' </br>';			  
			  } else
			  {
				  if($payopt == "OneTimeOnly") {$dpayopt = "One Time Only";}else if($payopt == "Recurring"){ $dpayopt = "Recurring";}
			  $rechtml .= '<input type="radio" value="clickandpledge_'.$payopt.'" name="clickandpledge_onetimeonly" id="clickandpledge_onetimeonly" class="clsrecpayopt wpjb-field">&nbsp; '.$dpayopt.' </br>';	 
			  }	
	      }
			  $rechtml .= '</div></div></fieldset>';
		 }
			else
			{
				$rechtml .= '<input type="hidden" value="clickandpledge_Recurring" name="clickandpledge_onetimeonly" id="clickandpledge_onetimeonly" >';
			}
          $rechtml .= '<fieldset class="wpjb-fieldset-default wpjb-fieldset-cnprecurring">
		  <div id="recurring_selection">

		  <div class="wpjb-element-input-text" >
		  <label class="wpjb-label">
		  '.__("Recurring types&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label><div class="cnpwpjb_field">
		  <select name="clickandpledge_recurring_type" id="recurring_select">';
		  if(isset($merchant['wpjobboard_clickandpledge_PaymentSubscription']) && !empty($merchant['wpjobboard_clickandpledge_PaymentSubscription'])){
		  foreach($merchant['wpjobboard_clickandpledge_PaymentSubscription'] as $recurringmethod)
		  {
			 if($merchant['wpjobboard_clickandpledge_PaymentRecurring'] == $recurringmethod)
			 {
			 $rechtml .= '<option value="'.$recurringmethod.'" selected>'.$recurringmethod.'</option>'; 
			 }	else
			 {
			 $rechtml .= '<option value="'.$recurringmethod.'">'.$recurringmethod.'</option>'; 
			 }				 
			 
		   }
		   $rechtml .= '</select></div></div>

		 <div class="wpjb-element-input-text" id="indefinite" style="display:none !important;">
		 <label class="wpjb-label">Indefinite Recurrings
		 '.__("", "wpjobboard").'
		 </label><div class="cnpwpjb_field" style="padding-top: 8px;"><input type="checkbox" value="clickandpledge_indefinite_recurrings" name="clickandpledge_indefinite_recurrings" id="clickandpledge_indefinite_recurrings"> 
		 </div></div>';
		  }

			 $rechtml .= '<div class="wpjb-element-input-text"><label class="wpjb-label">'.__("Periodicity", "wpjobboard").'</label>
		 	<div class="cnpwpjb_field"><select name="clickandpledge_periods" id="clickandpledge_periods" class="required">';
		if(isset($merchant['wpjobboard_clickandpledge_PaymentPeriods']) && !empty($merchant['wpjobboard_clickandpledge_PaymentPeriods'])){
		foreach($merchant['wpjobboard_clickandpledge_PaymentPeriods'] as $cnpperiods)
		 {
			if($cnpperiods == "2Weeks")
			 {
				 $cnpPeriodicity ="2 Weeks";
			 }elseif($cnpperiods == "2Months")
			 {
				 $cnpPeriodicity ="2 Months";
			 }
			 elseif($cnpperiods == "6Months")
			 {
				 $cnpPeriodicity ="6 Months";
			 }else
			 {
				 $cnpPeriodicity =$cnpperiods;
			 }
			 $rechtml .= '<option value="'.$cnpperiods.'">'.$cnpPeriodicity.'</option>';
		   }
		    $rechtml .= '</select> <input type="hidden" name="clickandpledge_maxinst" id="clickandpledge_maxinst"  value="'.$merchant['wpjobboard_clickandpledge_maxnoofinstallments'].'"></div></div>'; 

			 if($merchant['wpjobboard_clickandpledge_indefinite'] == 'fixednumber')
			 {
			 $rechtml .= '<div class="wpjb-element-input-text"><label class="wpjb-label">'.__("Number of payments", "wpjobboard").'</label>
			     <div class="cnpwpjb_field"><input type="text" name="clickandpledge_nooftimes" id="clickandpledge_nooftimes" class="required" value="'.$merchant['wpjobboard_clickandpledge_dfltnoofpaymnts'].'" readonly></div></div>'; 
			 } else if($merchant['wpjobboard_clickandpledge_indefinite'] == 'indefinite_openfield')
			 {
				$rechtml .= '<div class="wpjb-element-input-text"><label class="wpjb-label">'.__("Number of payments", "wpjobboard").'</label>
			 		<div class="cnpwpjb_field"><input type="text" name="clickandpledge_nooftimes" id="clickandpledge_nooftimes" class="required" value="'.$merchant['wpjobboard_clickandpledge_dfltnoofpaymnts'].'" maxlength="3">
					<input name="clickandpledge_indefinite" type="hidden" id="clickandpledge_indefinite" class="required" value="on"></div></div>'; 
			 } else if($merchant['wpjobboard_clickandpledge_indefinite'] == 'openfield')
			 {
			 $rechtml .= '<div class="wpjb-element-input-text"><label class="wpjb-label">'.__("Number of payments", "wpjobboard").'</label>
			 		<div class="cnpwpjb_field"><input type="text" name="clickandpledge_nooftimes" id="clickandpledge_nooftimes" class="required" value="'.$merchant['wpjobboard_clickandpledge_dfltnoofpaymnts'].'" maxlength="3"></div></div>'; 
			 }else if($merchant['wpjobboard_clickandpledge_indefinite'] == 'indefinite')
			 {
			 $rechtml .= '<div class="wpjb-element-input-text"><label class="wpjb-label" ><span>'.__("Number of payments", "wpjobboard").'</span></label>
			 	<div class="cnpwpjb_field">
			 	<span for="clickandpledge_cart_number"> Indefinite Recurring Only</span>
			 <input name="clickandpledge_nooftimes" type="hidden" id="clickandpledge_nooftimes" class="required" value="999">
			 <input name="clickandpledge_indefinite" type="hidden" id="clickandpledge_indefinite" class="required" value="on"></div></div>'; 
			 }
			$rechtml .= '</div>
			 </fieldset>
		    ';
	}}
			
			$paymenthtml .= '<div id="payment_methods" style="padding:10px 0px" class="wpjb-form">';
				
				foreach($paymentMethods as $pkey => $pval) {
					
					if($pkey == $defaultpayment) {
						
					$paymenthtml .= '<input type="radio" id="cnp_payment_method_selection_'.$pkey.'" name="cnp_payment_method_selection" onclick="displaysection(this.value);" class="cnp_payment_method_selection" value="'.$pkey.'" checked="checked">&nbsp<b>'.$pval.'</b>&nbsp;&nbsp;&nbsp;';
					 } 
					else{
						
					 $paymenthtml .= '<input type="radio" id="cnp_payment_method_selection_'.$pkey.'" name="cnp_payment_method_selection" onclick="displaysection(this.value);" class="cnp_payment_method_selection" value="'.$pkey.'">&nbsp;<b>'.$pval.'</b>&nbsp;&nbsp;&nbsp;';
					 } 
			
					$paymenthtml .= ' <script type="text/javascript">
					     var simple = "#cnp_payment_method_selection_'.$pkey.'";
						
						 jQuery(simple).click(function(){
						 jQuery("#cnp_CreditCard_div").hide();					
					     jQuery("#cnp_eCheck_div").hide();
					     jQuery("#cnp_Custompay_div").show();
					  
						 });
				         </script>';
				      
                }
				$paymenthtml .= '</div>';
			
				   $paymenthtml .= '<script>jQuery("#cnp_payment_method_selection_CreditCard").click(function(){
						 jQuery("#cnp_CreditCard_div").show();					
						 jQuery("#cnp_eCheck_div").hide();
						 jQuery("#cnp_Custompay_div").hide();
						 //jQuery("#cnp_PurchaseOrder_div").hide();
					     });
						 jQuery("#cnp_payment_method_selection_eCheck").click(function(){
						 jQuery("#cnp_CreditCard_div").hide();					
						 jQuery("#cnp_eCheck_div").show();
						 jQuery("#cnp_Custompay_div").hide();
						 //jQuery("#cnp_PurchaseOrder_div").hide();
					     });
                   </script> <script>
				   function displaysection(sec) {
				  
					if(sec == "CreditCard") {
						jQuery("#cnp_CreditCard_div").show();					
						jQuery("#cnp_eCheck_div").hide();
						jQuery("#cnp_Custompay_div").hide();
					
						
					} else if(sec == "eCheck") {
						jQuery("#cnp_CreditCard_div").hide();					
						jQuery("#cnp_eCheck_div").show();
						jQuery("#cnp_Custompay_div").hide();
										 
					}
					 else {
						jQuery("#cnp_CreditCard_div").hide();					
						jQuery("#cnp_eCheck_div").hide();
						jQuery("#cnp_Custompay_div").show();
						
					}
					
				}
				   </script>';
			}
			
		 // From here to check values 
		 
		$html .= $rechtml." ".$paymenthtml;
		 $cdivdisplay = ($defaultpayment == 'CreditCard') ? 'block' : 'none';
		 
         $html .= '<div style="display:'.$cdivdisplay.'; padding:10px 0px;" id="cnp_CreditCard_div" class="wpjb-form">';		
		 if($merchant['wpjobboard_clickandpledge_Paymentmethods_Amex'] !="")
		 {
			 $html .= "&nbsp;<img src='".WP_PLUGIN_URL . "/" . plugin_basename( dirname(__FILE__)) . "/images/amex.jpg' />";;
		 }
		if($merchant['wpjobboard_clickandpledge_Paymentmethods_master'] !="")
		 {
			 $html .= "&nbsp;<img src='".WP_PLUGIN_URL . "/" . plugin_basename( dirname(__FILE__)) . "/images/mastercard.gif' title='MasterCard' alt='MasterCard'/>";
		 }
		if($merchant['wpjobboard_clickandpledge_Paymentmethods_Visa'] !="")
		 {
			 $html .= "&nbsp;<img src='".WP_PLUGIN_URL . "/" . plugin_basename( dirname(__FILE__)) . "/images/visa.jpg' title='Visa' alt='Visa'/>";
		 }
		if($merchant['wpjobboard_clickandpledge_Paymentmethods_Discover'] !="")
		 {
			 $html .= "&nbsp;<img src='".WP_PLUGIN_URL . "/" . plugin_basename( dirname(__FILE__)) . "/images/discover.jpg' title='Discover' alt='Discover'/>";
		 }
		if($merchant['wpjobboard_clickandpledge_Paymentmethods_Jcb'] !="")
		 {
			 $html .= "&nbsp;<img src='".WP_PLUGIN_URL . "/" . plugin_basename( dirname(__FILE__)) . "/images/JCB.jpg' title='JCB' alt='JCB'/>";
		 }
			$html .= '<div id="onetime_selection">
			<fieldset class="wpjb-fieldset-default">
			<div class="wpjb-element-input-text">
				<label class="wpjb-label">
				 '.__("Name On Card&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label>
				<div class="cnpwpjb_field"> <input type="text" maxlength="50" data-clickandpledge="number" name="clickandpledge_nameOnCard" id="clickandpledge_nameOnCard" class=" required NameOnCard"  placeholder="Name On Card"/>
				 
			    </div>
			    <style>
				  #clickandpledge_cardExpMonth,#clickandpledge_cardExpYear
				  {
					  width :41%;
				  }
				</style>
		    </div>
		  
		  	<div class="wpjb-element-input-text">
				<label class="wpjb-label">
			  '.__("Card Number&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label>
			  <div class="cnpwpjb_field"><input type="text" maxlength="17" minlength="15" data-clickandpledge="number" name="clickandpledge_cardNumber" id="clickandpledge_cardNumber"  class="required creditcard" placeholder="Card Number" required/></div>
			</div>

			<div class="wpjb-element-input-text">
			<label class="wpjb-label">
			  <span>'.__("CVV&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</span>	</label>		  
			 	<div class="cnpwpjb_field"> <input type="text" size="4" data-clickandpledge="cvc" maxlength="4" name="clickandpledge_cvc" id="clickandpledge_cvc" class="required Cvv2" placeholder="CVV" required/></div>
			</div>
		  
		  	<div class="wpjb-element-input-text">
			 <label class="wpjb-label"><span>'.__("Expiration <span class='wpjb-required'>*</span>", "wpjobboard").'</span></label>
			 <div class="cnpwpjb_field"><select name="clickandpledge_cardExpMonth" id="clickandpledge_cardExpMonth" class="required">'.$this->getMonths().'</select>
			 <span> / </span>
			 <select name="clickandpledge_cardExpYear" id="clickandpledge_cardExpYear" class="required" data-clickandpledge="exp-year">'.$this->getYears().'</select>
		   	 </div>
		   	</div>';
		
		$html .= '</fieldset></div></div>'; //CreditCard Div End

		
		$eCheckdivdisplay = ($defaultpayment == 'eCheck') ? 'block' : 'none';
		
		$html .= '<div style="display:'.$eCheckdivdisplay.'" id="cnp_eCheck_div">';
		$html .= "<p><img src='".WP_PLUGIN_URL . "/" . plugin_basename( dirname(__FILE__)) . "/images/eCheck.png' title='eCheck' alt='eCheck'/></p>";
		if($merchant['wpjobboard_clickandpledge_OrderMode'] == "test")
		{
			$html .= '<p class="" style="margin:0 0 10px;color:red;">eCheck does not support test transactions</p>';
		}
			$html .= '<fieldset class="wpjb-fieldset-default">
			<div class="wpjb-element-input-text">
				<label class="wpjb-label">
			  	'.__("Account Type&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label>
			  	<div class="cnpwpjb_field">
			  	<select name="clickandpledge_echeck_AccountType" id="clickandpledge_echeck_AccountType" title="Account Type" >
					<option value="SavingsAccount">SavingsAccount</option>
					<option value="CheckingAccount">CheckingAccount</option>
			  	</select>			
		 		</div>
		 	</div>

		 	<div class="wpjb-element-input-text">
				<label class="wpjb-label">
			  	'.__("Name on Account&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label>
			  	<div class="cnpwpjb_field">
			  	<input type="text" data-clickandpledge="number" name="clickandpledge_echeck_NameOnAccount" id="clickandpledge_echeck_NameOnAccount" class="required AccountNumber"  placeholder="Name on Account"/>			
		 		</div>
		 	</div>
			<div class="wpjb-element-input-text">
				<label class="wpjb-label">
			  	'.__("Type of ID&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label>
			 	<div class="cnpwpjb_field"> <select name="clickandpledge_echeck_IdType" id="clickandpledge_echeck_IdType" title="Type of ID" >
					<option value="Driver">Driver</option>
					<option value="Military">Military</option>
					<option value="State">State</option>
			  	</select>			
		 		</div>
		 	</div>
			<div class="wpjb-element-input-text">
				<label class="wpjb-label">
			  	'.__("Check Type&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label>
			  	<div class="cnpwpjb_field">
				  <select name="clickandpledge_echeck_CheckType" id="clickandpledge_echeck_CheckType" title="Check Type" >
						<option value="Company">Company</option>
						<option value="Personal">Personal</option>
				  </select>			
		 		</div>
		 	</div>
		 	<div class="wpjb-element-input-text">
		 		<label class="wpjb-label">
			  	'.__("Check Number&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label>
			 	<div class="cnpwpjb_field"> <input type="text" data-clickandpledge="number" name="clickandpledge_echeck_CheckNumber" id="clickandpledge_echeck_CheckNumber" class="required CheckNumber"  placeholder="Check Number"/>
				</div>
			</div>
			<div class="wpjb-element-input-text">
				<label class="wpjb-label">
			  	'.__("Routing Number&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label>
			  	<div class="cnpwpjb_field"><input type="text" data-clickandpledge="number" name="clickandpledge_echeck_RoutingNumber" id="clickandpledge_echeck_RoutingNumber" class="required RoutingNumber"  placeholder="Routing Number"/>
			  	</div>
			</div>
			<div class="wpjb-element-input-text">		
				<label class="wpjb-label">
			  	'.__("Account Number&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label>
				<div class="cnpwpjb_field">
				<input type="text" data-clickandpledge="number" name="clickandpledge_echeck_AccountNumber" id="clickandpledge_echeck_AccountNumber" class="required AccountNumber"  placeholder="Account Number"/>			
		 		</div>
		 	</div>
			<div class="wpjb-element-input-text">
				<label class="wpjb-label">
			  	'.__("Retype Account Number&nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</label>
			 	<div class="cnpwpjb_field"> <input type="text" data-clickandpledge="number" name="clickandpledge_echeck_retypeAccountNumber" id="clickandpledge_echeck_retypeAccountNumber" class="required AccountNumber" placeholder="Retype Account Number"/>			
		 		</div>
		 	</div>
		 </fieldset>		
			';			
		
		$html .= '</div></div>'; //eCheck Div End



		$customtypes = explode(";",$merchant['wpjobboard_clickandpledge_titles']);
		foreach($customtypes as $customval) {
		
		}
		
		if(($defaultpayment != 'CreditCard') && ($defaultpayment != 'eCheck')  ) $Custompaydivdisplay = 'block'; else $Custompaydivdisplay = 'none';
		$html .= '<div style="display:'.$Custompaydivdisplay.'" id="cnp_Custompay_div" class="wpjb-form">';
		$html .= '
		<fieldset class="wpjb-fieldset-default">
		<div class="wpjb-element-input-text">
			<label class="wpjb-label">
			'.__("&nbsp;".$merchant['wpjobboard_clickandpledge_reference']." &nbsp;<span class='wpjb-required'>*</span>", "wpjobboard").'</span></label>
			<div class="cnpwpjb_field"><input type="text" name="clickandpledge_reference_number" id="clickandpledge_reference_number" class="reference_number"  placeholder="Enter Reference number"/>
			</div>		
		</div>
		</fieldset>
		';
		
		 //PurchaseOrder Div End
		
		$html .= '</div><div id="hidden-fileds">';
		
			$listing_id = '';
			
			$listing_id = wp_unslash(sanitize_text_field($_POST['defaults']['pricing_id']));
		    //
			
			  $amount = ($this->_data->payment_paid)*100;
            $currency = strtolower($this->_data->payment_currency);
			//print_r($selectedCurrency);
			$varArray = array(
				'clickandpledge_AccountID'=>$merchant['wpjobboard_clickandpledge_AccountID'],
				'clickandpledge_AccountGuid'=>$merchant['wpjobboard_clickandpledge_AccountGuid'],
				'clickandpledge_OrderMode' => $merchant['wpjobboard_clickandpledge_OrderMode'],
				'clickandpledge_Amount' => $this->_data->payment_paid,
				'clickandpledge_Discount' => $this->_data->payment_discount,
				'clickandpledge_TermsCondition' => htmlspecialchars($merchant['wpjobboard_clickandpledge_TermsCondition']),
				'clickandpledge_installments' => $merchant['clickandpledge_installments'],
				'clickandpledge_email_customer' => (is_array($merchant['wpjobboard_clickandpledge_emailcustomer']) && count($merchant['wpjobboard_clickandpledge_emailcustomer']) > 0) ? $merchant['wpjobboard_clickandpledge_emailcustomer'][0] : '',
				'clickandpledge_maxrecurrings_Subscription' => $merchant['wpjobboard_clickandpledge_maxrecurrings_Subscription'],
				'clickandpledge_maxrecurrings_Installment' => $merchant['wpjobboard_clickandpledge_maxrecurrings_Installment'],
				'wpjobboard_clickandpledge_reference' => $merchant['wpjobboard_clickandpledge_reference'],
				'wpjobboard_clickandpledge_ConnectCampaignAlias' => $merchant['wpjobboard_clickandpledge_ConnectCampaignAlias'],
				'wpjobboard_clickandpledge_PaymentRecurring' => $merchant['wpjobboard_clickandpledge_PaymentRecurring'],
				'wpjobboard_clickandpledge_DefaultpaymentOptions' => $merchant['wpjobboard_clickandpledge_DefaultpaymentOptions'],
				'wpjobboard_clickandpledge_Paymentoptions' => $merchant['wpjobboard_clickandpledge_Paymentoptions'],
				'wpjobboard_clickandpledge_termsandconditionsadmin' => htmlspecialchars($merchant['wpjobboard_clickandpledge_termsandconditionsadmin']),
				'wpjobboard_clickandpledge_receiptsettings' => htmlspecialchars($merchant['wpjobboard_clickandpledge_receiptsettings']),
				
				'order' => $merchant['order'],
				'selectedcurrency' => $selectedCurrency,
								
				'wpjobboard_clickandpledge_emailcustomer' => $merchant['wpjobboard_clickandpledge_emailcustomer'],
				'clickandpledge_listing_id' => $listing_id,
				'clickandpledge_coupon_code' => (isset($_POST['coupon'])) ? wp_unslash(sanitize_text_field($_POST['coupon'])) : '',
			);
			
			foreach($varArray as $k=>$v)
			{
				$html.= '<input type="hidden" name="'.$k.'" id="'.$k.'" value="'.$v.'" />';
			}
		//eCheck Div End
		 $html .= '</div></fieldset>'; 
	// Ending custom payments 
	  echo $html;
  return $html;
 }

}
?>
